class LeNet(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv1 : __torch__.torch.nn.modules.conv.Conv2d
  relu1 : __torch__.torch.nn.modules.activation.ReLU
  pool1 : __torch__.torch.nn.modules.pooling.MaxPool2d
  conv2 : __torch__.torch.nn.modules.conv.___torch_mangle_0.Conv2d
  relu2 : __torch__.torch.nn.modules.activation.ReLU
  pool2 : __torch__.torch.nn.modules.pooling.MaxPool2d
  fc1 : __torch__.torch.nn.modules.linear.Linear
  relu3 : __torch__.torch.nn.modules.activation.ReLU
  fc2 : __torch__.torch.nn.modules.linear.___torch_mangle_1.Linear
  relu4 : __torch__.torch.nn.modules.activation.ReLU
  fc3 : __torch__.torch.nn.modules.linear.___torch_mangle_2.Linear
  def forward(self: __torch__.LeNet,
    x: Tensor) -> Tensor:
    conv1 = self.conv1
    y = (conv1).forward(x, )
    relu1 = self.relu1
    y0 = (relu1).forward(y, )
    pool1 = self.pool1
    y1 = (pool1).forward(y0, )
    conv2 = self.conv2
    y2 = (conv2).forward(y1, )
    relu2 = self.relu2
    y3 = (relu2).forward(y2, )
    pool2 = self.pool2
    y4 = (pool2).forward(y3, )
    y5 = torch.view(y4, [(torch.size(y4))[0], -1])
    fc1 = self.fc1
    y6 = (fc1).forward(y5, )
    relu3 = self.relu3
    y7 = (relu3).forward(y6, )
    fc2 = self.fc2
    y8 = (fc2).forward(y7, )
    relu4 = self.relu4
    y9 = (relu4).forward(y8, )
    fc3 = self.fc3
    return (fc3).forward(y9, )
